Page 1 of 1

Newer Flash Player for Firefox & NPAPI-compatible browsers

PostPosted: 18 November 2015, 7:48
by NicCo
Project Website: https://github.com/i-rinat/freshplayerplugin
FreshPlayerPlugin, in short, replace old linux Flash Player...

Fresh Player Plugin is a wrapper that allows Linux users to use Pepper Flash from Google Chrome in Firefox and other NPAPI-compatible browsers.

The plugin was developed because on Linux, Flash Player is only updated for Google Chrome (it comes bundled with it), while other browsers, such as Chromium, Firefox, and others, are stuck with an old Adobe Flash Player version: 11.2.

Some WebPages with modern Flash Player contents are becoming to be unusable, so the solution is installing FreshPlayer that allows to other browsers to play multimedia Flash contents with the latest version of Flash Player plugin, that currently is 19.x, and not more with the old 11.2.


For our beloved distributions, OpenMandriva Lx2014 and ROSA R6, many users may not know that we have the current freshplayer, regularly updated, easily installable, here is just an example of my installation on Lx2014

Code: Select all
[root@localhost ~]# urpmi freshplayerplugin

Per soddisfare le dipendenze, saranno installati i seguenti pacchetti:
 Pacchetto                      Versione     Release       Dist  DEpoch Arch.
(supporto "main (Phosphorus2014.0-1)")
 lib64config9                   1.4.9        6             omv   2014.0 x86_64
 lib64event_core2.0_5           2.0.21       7             omv   2014.0 x86_64
 lib64event_pthreads2.0_5       2.0.21       7             omv   2014.0 x86_64
(supporto "non-free updates (Phosphorus2014.0-10)")
 chromium-pepper-flash          19.0.0.245   1             omv   2014.0 x86_64
 freshplayerplugin              0.3.2        1             omv   2014.0 x86_64
Altri 17MB di spazio disco saranno utilizzati.
verranno scaricati 5MB di pacchetti.
Procedo con l'installazione di 5 pacchetti? (S/n) s